# Interface BaseRemoteMethodMetadata

interface BaseRemoteMethodMetadata {
id: string;
refresh?: (
| Type<Refreshable>
| InjectionToken<Refreshable>
| AbstractType<Refreshable>
)[];
[key: string]: any;
}

#### Hierarchy

- BaseDefinitionMetadata
  - BaseRemoteMethodMetadata

#### Indexable

- [key: string]: any

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:25

#####
Index

### Properties

id
refresh?

##
Properties

### id

id: string

Inherited from BaseDefinitionMetadata.id

- Defined in packages/angular/definition/src/lib/definition.metadata.ts:9

### `Optional` refresh

refresh?: (
| Type<Refreshable>
| InjectionToken<Refreshable>
| AbstractType<Refreshable>
)[]

- Defined in packages/angular/remote-method/src/lib/base.remote-method.ts:26